<?php

/**
 * @file
 * Airship Web Notifications Pages.
 */

/**
 * push-worker.js callback.
 */
function urban_airship_web_push_notifications_push_worker() {
  urban_airship_web_push_notifications_headers('push_worker', 'application/javascript; charset=utf-8');
  echo variable_get('urban_airship_web_push_notifications_push-worker.js');
  drupal_exit();
}

/**
 * web-push-secure-bridge.html callback.
 */
function urban_airship_web_push_notifications_secure_bridge() {
  header_remove('X-Frame-Options');
  urban_airship_web_push_notifications_headers('secure_bridge', 'text/html; charset=utf-8');
  echo variable_get('urban_airship_web_push_notifications_secure-bridge.html');
  drupal_exit();
}

/**
 * Set headers.
 */
function urban_airship_web_push_notifications_headers($etag, $content_type) {
  $hook_boot_headers = drupal_get_http_header();
  $max_age = !isset($_COOKIE[session_name()]) || isset($hook_boot_headers['vary']) ? variable_get('page_cache_maximum_age', 0) : 0;
  drupal_add_http_header('Content-Type', $content_type);
  drupal_add_http_header('Cache-Control', 'public, max-age=' . $max_age);
  drupal_add_http_header('ETag', $etag);
  drupal_add_http_header('Expires', gmdate('D, d M Y H:i:s \G\M\T', REQUEST_TIME + $max_age));
}
